cloud-init/tools/read-dependencies
Joshua Harlow eabce0d9dd rework packaging tools to find the right cloud-init topdir
This also fixes 'brpm' to address --init-system change that
smoser made to setup.py before the large 'rework' merge.
2012-07-09 15:36:16 -04:00

36 lines
692 B
Bash
Executable File

#!/bin/sh
set -e
find_root() {
local topd
if [ -z "${CLOUD_INIT_TOP_D}" ]; then
topd=$(cd "$(dirname "${0}")" && cd .. && pwd)
else
topd=$(cd "${CLOUD_INIT_TOP_D}" && pwd)
fi
[ $? -eq 0 -a -f "${topd}/setup.py" ] || return
ROOT_DIR="$topd"
}
if ! find_root; then
echo "Unable to locate 'setup.py' file that should" \
"exist in the cloud-init root directory." 1>&2
exit 1;
fi
REQUIRES="$ROOT_DIR/Requires"
if [ ! -e "$REQUIRES" ]
then
echo "Unable to find 'Requires' file located at $REQUIRES"
exit 1
fi
# Filter out comments and empty liens
DEPS=$(cat $REQUIRES | grep -Pv "^\s*#" | grep -Pv '^\s*$')
echo "$DEPS" | sort -d -f